Loading...
Searching...
No Matches
etl::state_chart_traits::transition< TObject, void > Struct Template Reference

`#include <state_chart.h>`

## Public Member Functions

ETL_CONSTEXPR | transition (const state_id_t current_state_id_, event_id_t event_id_, const state_id_t next_state_id_, void(TObject::*const action_)()=ETL_NULLPTR, bool(TObject::*const guard_)()=ETL_NULLPTR)
ETL_CONSTEXPR | transition (event_id_t event_id_, const state_id_t next_state_id_, void(TObject::*const action_)()=ETL_NULLPTR, bool(TObject::*const guard_)()=ETL_NULLPTR)

## Public Attributes

const state_id_t | current_state_id
const event_id_t | event_id
const state_id_t | next_state_id
void(TObject::*const | action )()
bool(TObject::*const | guard )()
const bool | from_any_state

## Detailed Description

template<typename TObject>
struct etl::state_chart_traits::transition< TObject, void >

Transition definition Specialisation for void parameter

The documentation for this struct was generated from the following file:

- include/etl/state_chart.h